XML Standard API: Interface HTMLAreaElement

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.w3c.dom.html
Interface HTMLAreaElement

All Superinterfaces:
  Element, HTMLElement, Node

public interface HTMLAreaElement
extends HTMLElement

Client-side image map area definition. See the AREA element definition in HTML 4.0.

Fields inherited from interface org.w3c.dom.Node
`ATTRIBUTE_NODE, CDATA_SECTION_NODE, COMMENT_NODE, DOCUMENT_FRAGMENT_NODE, DOCUMENT_NODE, DOCUMENT_POSITION_CONTAINED_BY, DOCUMENT_POSITION_CONTAINS, DOCUMENT_POSITION_DISCONNECTED, DOCUMENT_POSITION_FOLLOWING, DOCUMENT_POSITION_IMPLEMENTATION_SPECIFIC, DOCUMENT_POSITION_PRECEDING, DOCUMENT_TYPE_NODE, ELEMENT_NODE, ENTITY_NODE, ENTITY_REFERENCE_NODE, NOTATION_NODE, PROCESSING_INSTRUCTION_NODE, TEXT_NODE`

Method Summary
`java.lang.String` | `getAccessKey()` A single character access key to give access to the form control.
`java.lang.String` | `getAlt()` Alternate text for user agents not rendering the normal contentof this element.
`java.lang.String` | `getCoords()` Comma-separated list of lengths, defining an active region geometry.See also `shape` for the shape of the region.
`java.lang.String` | `getHref()` The URI of the linked resource.
`boolean` | `getNoHref()` Specifies that this area is inactive, i.e., has no associated action.
`java.lang.String` | `getShape()` The shape of the active area.
`int` | `getTabIndex()` Index that represents the element's position in the tabbing order.
`java.lang.String` | `getTarget()` Frame to render the resource in.
`void` | `setAccessKey(java.lang.String accessKey)`
`void` | `setAlt(java.lang.String alt)`
`void` | `setCoords(java.lang.String coords)`
`void` | `setHref(java.lang.String href)`
`void` | `setNoHref(boolean noHref)`
`void` | `setShape(java.lang.String shape)`
`void` | `setTabIndex(int tabIndex)`
`void` | `setTarget(java.lang.String target)`

Methods inherited from interface org.w3c.dom.html.HTMLElement
`getClassName, getDir, getId, getLang, getTitle, setClassName, setDir, setId, setLang, setTitle`

Methods inherited from interface org.w3c.dom.Element
`getAttribute, getAttributeNode, getAttributeNodeNS, getAttributeNS, getElementsByTagName, getElementsByTagNameNS, getSchemaTypeInfo, getTagName, hasAttribute, hasAttributeNS, removeAttribute, removeAttributeNode, removeAttributeNS, setAttribute, setAttributeNode, setAttributeNodeNS, setAttributeNS, setIdAttribute, setIdAttributeNode, setIdAttributeNS`

Methods inherited from interface org.w3c.dom.Node
`appendChild, cloneNode, compareDocumentPosition, getAttributes, getBaseURI, getChildNodes, getFeature, getFirstChild, getLastChild, getLocalName, getNamespaceURI, getNextSibling, getNodeName, getNodeType, getNodeValue, getOwnerDocument, getParentNode, getPrefix, getPreviousSibling, getTextContent, getUserData, hasAttributes, hasChildNodes, insertBefore, isDefaultNamespace, isEqualNode, isSameNode, isSupported, lookupNamespaceURI, lookupPrefix, normalize, removeChild, replaceChild, setNodeValue, setPrefix, setTextContent, setUserData`

Method Detail

### getAccessKey

    public java.lang.String getAccessKey()

  A single character access key to give access to the form control. See the accesskey attribute definition in HTML 4.0.

### setAccessKey

    public void setAccessKey(java.lang.String accessKey)

### getAlt

    public java.lang.String getAlt()

  Alternate text for user agents not rendering the normal contentof this element. See the alt attribute definition in HTML 4.0.

### setAlt

    public void setAlt(java.lang.String alt)

### getCoords

    public java.lang.String getCoords()

  Comma-separated list of lengths, defining an active region geometry.See also `shape` for the shape of the region. See the coords attribute definition in HTML 4.0.

### setCoords

    public void setCoords(java.lang.String coords)

### getHref

    public java.lang.String getHref()

  The URI of the linked resource. See the href attribute definition in HTML 4.0.

### setHref

    public void setHref(java.lang.String href)

### getNoHref

    public boolean getNoHref()

  Specifies that this area is inactive, i.e., has no associated action. See the nohref attribute definition in HTML 4.0.

### setNoHref

    public void setNoHref(boolean noHref)

### getShape

    public java.lang.String getShape()

  The shape of the active area. The coordinates are givenby `coords`. See the shape attribute definition in HTML 4.0.

### setShape

    public void setShape(java.lang.String shape)

### getTabIndex

    public int getTabIndex()

  Index that represents the element's position in the tabbing order. See the tabindex attribute definition in HTML 4.0.

### setTabIndex

    public void setTabIndex(int tabIndex)

### getTarget

    public java.lang.String getTarget()

  Frame to render the resource in. See the target attribute definition in HTML 4.0.

### setTarget

    public void setTarget(java.lang.String target)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1999-2007 The Apache Software Foundation. All Rights Reserved.